types

# Procedural File: types.inc

Source Location: /lib/types.inc

## Page Details:

This file is the interface to the different account types.

#### Tags:

author: | Roland Gruber

#### Includes:

include_once("baseType.inc") [line 32]
parent class of account types
include_once($typesINC_dirname.'/'.$entry) [line 47]
This includes all type definitions.
include_once("selfService.inc") [line 36]
Used to check if this is a LAM Pro release.
include_once("lists.inc") [line 34]
parent class of list views

### getDefaultListAttributes [line 109]

`string getDefaultListAttributes( string $type)`

Returns the default attribute list for an account type.

It is used as default value for the configuration editor.

#### Tags:

return: | attribute list

#### Parameters

string | $type | account type

[ Top ]

### getListAttributeDescriptions [line 121]

`array getListAttributeDescriptions( string $type)`

Returns a list of attributes which have a translated description.

This is used for the head row in the list view.

#### Tags:

return: | list of descriptions

#### Parameters

string | $type | account type

[ Top ]

### getListClassName [line 97]

`string getListClassName( string $type)`

Returns the class name for the list object.

#### Tags:

return: | class name

#### Parameters

string | $type | account type

[ Top ]

### getTypeAlias [line 75]

`string getTypeAlias( string $type)`

Returns the alias name of an account type.

#### Tags:

return: | type alias

#### Parameters

string | $type | type name

[ Top ]

### getTypeDescription [line 86]

`string getTypeDescription( string $type)`

Returns the description of an account type.

#### Tags:

return: | type description

#### Parameters

string | $type | type name

[ Top ]

### getTypes [line 56]

`array getTypes( )`

Returns a list of available account types.

#### Tags:

return: | list of types

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:09 +0200 by phpDocumentor 1.4.1